#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

print"カップラーメンを食べるよ!\n"
print"何ラーメンを食べたい?\n"
kappu=gets.chomp
printf("%sのカップラーメンだよ。\n",kappu)

while true

  print"何分まつ?\n"
  matu=gets.to_i

  if matu < 11
    printf("%d分待つよ\n",matu)
    break

  elsif matu > 10
    printf("%d分も!すごく柔らかくなっちゃうけど本当に待つ?\n",matu)
    puts"1.待つ"
    puts"2.やっぱやめる"
    katasa=gets.to_i
    
    if katasa == 1
      break

    elsif katasa == 2
      redo

    else
      print"しっかり決めた?\n"
      redo      
    end
  end
end



print"スタート!\n"
print "お湯を入れました\n"
nokori = matu

while nokori > 0
  sleep(60) 
  nokori = nokori - 1
end
print "いただきまーす！\n"

taberu=3
while taberu >0
  sleep(60)
  taberu=taberu-1
end

if taberu==2
  print "やばいあと2分だ\n"
  
elsif taberu==1
  print"あとちょっと ってあと1分じゃん"
  
print"間に合ったぁ ごちそうさまでした!\n"

end
